package com.ruoyi.hezhi.mapper;

import com.ruoyi.hezhi.domain.TbCaseType;
import com.ruoyi.hezhi.domain.vo.CaseTypeVO;

import java.util.List;

/**
 * 案例类型Mapper接口
 *
 * @author ruoyi
 * @date 2024-09-14
 */
public interface TbCaseTypeMapper
{
    /**
     * 查询案例类型
     *
     * @param caseTypeId 案例类型主键
     * @return 案例类型
     */
    public TbCaseType selectTbCaseTypeByCaseTypeId(Long caseTypeId);

    /**
     * 查询案例类型列表
     *
     * @param tbCaseType 案例类型
     * @return 案例类型集合
     */
    public List<TbCaseType> selectTbCaseTypeList(TbCaseType tbCaseType);

    /**
     * 新增案例类型
     *
     * @param tbCaseType 案例类型
     * @return 结果
     */
    public int insertTbCaseType(TbCaseType tbCaseType);

    /**
     * 修改案例类型
     *
     * @param tbCaseType 案例类型
     * @return 结果
     */
    public int updateTbCaseType(TbCaseType tbCaseType);

    /**
     * 删除案例类型
     *
     * @param caseTypeId 案例类型主键
     * @return 结果
     */
    public int deleteTbCaseTypeByCaseTypeId(Long caseTypeId);

    /**
     * 批量删除案例类型
     *
     * @param caseTypeIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTbCaseTypeByCaseTypeIds(Long[] caseTypeIds);

    /**
     * 获取类型列表
     * @return
     */
    public List<CaseTypeVO> getTypeList();
}
